import {PokemonTrainer, Pokemon} from 'pokemon-ts/main'

export class PokemonTrainerClass implements PokemonTrainer{

    name:string;
    numberOfPokeballs:number;
    pokemon:Array<Pokemon>;
    gymBadges:string[];

    constructor(name: string, numberOfPokeballs: number, pokemon: Array<Pokemon>, gymBadges: string[]) {
        this.name = name;

    }
    
    attack(pokemon: Pokemon, attackName: string){
        return `${pokemon.name} attacks with ${attackName}`;
        console.log (pokemon.name + " attacks with " + "attackname.");
    }

    runAway(): string {
        return this.name + " runs away.";
    }

    healPokemon(pokemon: Pokemon) {
        pokemon.heal();
    }
}

export function trainer(){
    var pikachu = new Pokemon("Pikachu", "Richard", 66);
    var mew = new Pokemon("Mew", "Richard", 22);
    var bulbasaur = new Pokemon("Bulbasaur", "Richard", 12);
    var trainer = new PokemonTrainerClass("Richard", 587, [pikachu, mew, bulbasaur], ["B1", "B2", "B3"]);
    return trainer;
}


